#  Config file for libyui-qt-pkg
#  It defines the following variables
#  LIBYUI-QT-PKG_INCLUDE_DIRS - include directories for libyui-qt-pkg
#  LIBYUI-QT-PKG_LIBRARIES    - libraries to link against
#  LIBYUI-QT-PKG_PREFIX       - prefix where libyui-qt-pkg is installed
#  LIBYUI-QT-PKG_SONAME       - soname of libyui-qt-pkg
#  LIBYUI-QT-PKG_SONAME_MAJOR - soname of libyui-qt-pkg
#  LIBYUI-QT-PKG_SONAME_MINOR - soname of libyui-qt-pkg
#  LIBYUI-QT-PKG_SONAME_PATCH - soname of libyui-qt-pkg

# Export the SONAME for use by plugins
SET( LIBYUI-QT-PKG_SONAME "6.0.0" )
SET( LIBYUI-QT-PKG_SONAME_MAJOR "6" )
SET( LIBYUI-QT-PKG_SONAME_MINOR "0" )
SET( LIBYUI-QT-PKG_SONAME_PATCH "0" )

# Compute paths
SET( LIBYUI-QT-PKG_PREFIX "/usr" )
GET_FILENAME_COMPONENT( LIBYUI-QT-PKG_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
IF( EXISTS "${LIBYUI-QT-PKG_CMAKE_DIR}/CMakeCache.txt" )
   # In build tree
   INCLUDE( "${LIBYUI-QT-PKG_CMAKE_DIR}/Libyui-qt-pkgBuildTreeSettings.cmake" )
ELSE()
   SET( LIBYUI-QT-PKG_INCLUDE_DIRS /usr/include/yui/qt-pkg /usr/include/yui/qt-pkg/.. )
ENDIF()

# Our library dependencies (contains definitions for IMPORTED targets)
INCLUDE( "${LIBYUI-QT-PKG_CMAKE_DIR}/Libyui-qt-pkgLibraryDepends.cmake" )

# These are IMPORTED targets created by Libyui-qt-pkgLibraryDepends.cmake
SET( LIBYUI-QT-PKG_LIBRARIES yui-qt-pkg )

MESSAGE( STATUS "Found Libyui-qt-pkg: ${IMPORTED_LOCATION_RELEASE} (Version: 2.44.7)" )
